summaryrefslogtreecommitdiffstats
path: root/scripts/c9-build
diff options
context:
space:
mode:
authorDylan William Hardison <dylan@hardison.net>2017-02-27 19:42:37 +0100
committerDylan William Hardison <dylan@hardison.net>2017-03-01 00:27:22 +0100
commita9855e8d9746a91793b46a1ef2cdba6a200132b4 (patch)
tree8b8421d784b626ae45710d3e237a7b81562b8c2a /scripts/c9-build
parent47e9aa1da27d6fa6471c30f7b9bcc52f6c7ce2c0 (diff)
downloadbugzilla-a9855e8d9746a91793b46a1ef2cdba6a200132b4.tar.gz
bugzilla-a9855e8d9746a91793b46a1ef2cdba6a200132b4.tar.xz
make c9-build script start mysql if not running
Diffstat (limited to 'scripts/c9-build')
-rwxr-xr-xscripts/c9-build3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/c9-build b/scripts/c9-build
index 2944beb0a..58dcaae4a 100755
--- a/scripts/c9-build
+++ b/scripts/c9-build
@@ -1,6 +1,9 @@
#!/bin/bash
cd ~/workspace
+if ! ps aux | grep '[m]ysql' &>/dev/null; then
+ mysql-ctl restart
+fi
sudo apachectl stop
perl scripts/clear-templates.pl
perl checksetup.pl